package in.cdac.medinfo.csnotk.csnolib.disb.model;

import java.io.Serializable;
import java.util.List;




/**
 * The persistent class for the coding_system database table.
 * 
 */

public class CodingSystem implements Serializable {
	private static final long serialVersionUID = 1L;

	private int id;

	private String name;
	
	public CodingSystem()
	{
		
	}
	
	public CodingSystem(String name) {
		this.name = name;
	}
	
	private List<SubstanceIdentifier> substanceIdentifiers;

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public List<SubstanceIdentifier> getSubstanceIdentifiers() {
		return substanceIdentifiers;
	}

	public void setSubstanceIdentifiers(List<SubstanceIdentifier> substanceIdentifiers) {
		this.substanceIdentifiers = substanceIdentifiers;
	}

}